# Class JvxlData

java.lang.Object
org.jmol.jvxl.data.JvxlData

public class JvxlData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowVolumeRender`
`String`
`baseColor`
`P3[]`
`boundingBox`
`String`
`color`
`boolean`
`colorDensity`
`int`
`colorFractionBase`
`int`
`colorFractionRange`
`String`
`colorScheme`
`short[]`
`contourColixes`
`String`
`contourColors`
`float[]`
`contourValues`
`float[]`
`contourValuesUsed`
`float`
`cutoff`
`float[]`
`cutoffRange`
`float`
`dataMax`
`float`
`dataMin`
`int`
`diameter`
`int`
`edgeFractionBase`
`int`
`edgeFractionRange`
`int`
`excludedTriangleCount`
`int`
`excludedVertexCount`
`P3`
`fixedLattice`
`boolean`
`insideOut`
`float`
`integration`
`boolean`
`isBicolorMap`
`boolean`
`isColorReversed`
`boolean`
`isContoured`
`boolean`
`isCutoffAbsolute`
`boolean`
`isJvxlPrecisionColor`
`boolean`
`isModelConnected`
`boolean`
`isSlabbable`
`boolean`
`isTruncated`
`boolean`
`isValid`
`boolean`
`isXLowToHigh`
`String`
`jvxlColorData`
`boolean`
`jvxlDataIs2dContour`
`boolean`
`jvxlDataIsColorDensity`
`boolean`
`jvxlDataIsColorMapped`
`String`
`jvxlEdgeData`
`BS[]`
`jvxlExcluded`
`String`
`jvxlFileMessage`
`String`
`jvxlFileSource`
`String`
`jvxlFileTitle`
`P4`
`jvxlPlane`
`String`
`jvxlSurfaceData`
`String`
`jvxlVolumeDataXml`
`P3`
`mapLattice`
`float`
`mappedDataMax`
`float`
`mappedDataMin`
`short`
`maxColorIndex`
`String`
`meshColor`
`short`
`minColorIndex`
`String`
`moleculeXml`
`String`
`msg`
`long`
`nBytes`
`int`
`nContours`
`int`
`nEdges`
`int`
`nPointsX`
`int`
`nPointsY`
`int`
`nPointsZ`
`int`
`nSurfaceInts`
`int`
`nVertexColors`
`float`
`pointSize`
`float`
`pointsPerAngstrom`
`String`
`rendering`
`int`
`saveVertexCount`
`SB`
`sbOut`
`float`
`scale3d`
`String`
`slabInfo`
`int`
`slabValue`
`int`
`thisContour`
`BS`
`thisSet`
`String[]`
`title`
`float`
`translucency`
`float`
`valueMappedToBlue`
`float`
`valueMappedToRed`
`Lst<Object>[]`
`vContours`
`String`
`version`
`Map<String,BS>`
`vertexColorMap`
`int[]`
`vertexColors`
`int`
`vertexCount`
`boolean`
`vertexDataOnly`
`float`
`voxelVolume`
`boolean`
`wasCubic`
`boolean`
`wasJvxl`

## Constructor Summary

Constructors
Constructor
Description
`JvxlData()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`jvxlUpdateInfo(String[] title, long nBytes)`
`void`
`setSurfaceInfo(P4 thePlane, P3 mapLattice, int nSurfaceInts, String surfaceData)`
`void`
`setSurfaceInfoFromBitSet(BS bs, P4 thePlane)`
`void`
`setSurfaceInfoFromBitSetPts(BS bs, P4 thePlane, P3 mapLattice)`
`static String`
`updateSurfaceData(String edgeData, float[] vertexValues, int vertexCount, int vertexIncrement, char isNaN)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msg

public String msg

### wasJvxl

public boolean wasJvxl

### wasCubic

public boolean wasCubic

### jvxlFileSource

public String jvxlFileSource

### jvxlFileTitle

public String jvxlFileTitle

### jvxlFileMessage

public String jvxlFileMessage

### jvxlSurfaceData

public String jvxlSurfaceData

### jvxlEdgeData

public String jvxlEdgeData

### jvxlColorData

public String jvxlColorData

### jvxlVolumeDataXml

public String jvxlVolumeDataXml

### jvxlExcluded

public BS[] jvxlExcluded

### jvxlPlane

public P4 jvxlPlane

### isJvxlPrecisionColor

public boolean isJvxlPrecisionColor

### jvxlDataIsColorMapped

public boolean jvxlDataIsColorMapped

### jvxlDataIs2dContour

public boolean jvxlDataIs2dContour

### jvxlDataIsColorDensity

public boolean jvxlDataIsColorDensity

### isColorReversed

public boolean isColorReversed

### thisSet

public BS thisSet

### edgeFractionBase

public int edgeFractionBase

### edgeFractionRange

public int edgeFractionRange

### colorFractionBase

public int colorFractionBase

### colorFractionRange

public int colorFractionRange

### isValid

public boolean isValid

### insideOut

public boolean insideOut

### isXLowToHigh

public boolean isXLowToHigh

### isContoured

public boolean isContoured

### isBicolorMap

public boolean isBicolorMap

### isTruncated

public boolean isTruncated

### isCutoffAbsolute

public boolean isCutoffAbsolute

### isModelConnected

public boolean isModelConnected

### vertexDataOnly

public boolean vertexDataOnly

### mappedDataMin

public float mappedDataMin

### mappedDataMax

public float mappedDataMax

### valueMappedToRed

public float valueMappedToRed

### valueMappedToBlue

public float valueMappedToBlue

### cutoff

public float cutoff

### cutoffRange

public float[] cutoffRange

### pointsPerAngstrom

public float pointsPerAngstrom

### nPointsX

public int nPointsX

### nPointsY

public int nPointsY

### nPointsZ

public int nPointsZ

### nBytes

public long nBytes

### nContours

public int nContours

### nEdges

public int nEdges

### nSurfaceInts

public int nSurfaceInts

### vertexCount

public int vertexCount

### vContours

public Lst<Object>[] vContours

### contourColixes

public short[] contourColixes

### contourColors

public String contourColors

### contourValues

public float[] contourValues

### contourValuesUsed

public float[] contourValuesUsed

### thisContour

public int thisContour

### scale3d

public float scale3d

### minColorIndex

public short minColorIndex

### maxColorIndex

public short maxColorIndex

### title

public String[] title

### version

public String version

### boundingBox

public P3[] boundingBox

### excludedTriangleCount

public int excludedTriangleCount

### excludedVertexCount

public int excludedVertexCount

### colorDensity

public boolean colorDensity

### pointSize

public float pointSize

### moleculeXml

public String moleculeXml

### dataMin

public float dataMin

### dataMax

public float dataMax

### saveVertexCount

public int saveVertexCount

### vertexColorMap

public Map<String,BS> vertexColorMap

### nVertexColors

public int nVertexColors

### vertexColors

public int[] vertexColors

### color

public String color

### meshColor

public String meshColor

### translucency

public float translucency

### colorScheme

public String colorScheme

### rendering

public String rendering

### slabValue

public int slabValue

### isSlabbable

public boolean isSlabbable

### diameter

public int diameter

### slabInfo

public String slabInfo

### allowVolumeRender

public boolean allowVolumeRender

### voxelVolume

public float voxelVolume

### mapLattice

public P3 mapLattice

### fixedLattice

public P3 fixedLattice

### baseColor

public String baseColor

### integration

public float integration

### sbOut

public SB sbOut

## Constructor Details

### JvxlData

public JvxlData()

## Method Details

### clear

public void clear()

### setSurfaceInfo

public void setSurfaceInfo(P4 thePlane, P3 mapLattice, int nSurfaceInts, String surfaceData)

### setSurfaceInfoFromBitSet

public void setSurfaceInfoFromBitSet(BS bs, P4 thePlane)

### setSurfaceInfoFromBitSetPts

public void setSurfaceInfoFromBitSetPts(BS bs, P4 thePlane, P3 mapLattice)

### jvxlUpdateInfo

public void jvxlUpdateInfo(String[] title, long nBytes)

### updateSurfaceData

public static String updateSurfaceData(String edgeData, float[] vertexValues, int vertexCount, int vertexIncrement, char isNaN)